Patch-Source: https://github.com/archlinux/svntogit-packages/blob/bccf43ed23b3e0e7943c973f20faa1f2dc84d99c/trunk/068cd9ae.patch
From 068cd9aec11052733e393976142516d2190e4564 Mon Sep 17 00:00:00 2001
From: Pierre Ducroquet <pinaraf@pinaraf.info>
Date: Sun, 28 Feb 2021 23:23:02 +0100
Subject: [PATCH] Fix some more warnings

diff --git a/filters/words/msword-odf/wv2/src/styles.cpp b/filters/words/msword-odf/wv2/src/styles.cpp
index f47c3dd8d51..d2c96e3d92b 100644
--- a/filters/words/msword-odf/wv2/src/styles.cpp
+++ b/filters/words/msword-odf/wv2/src/styles.cpp
@@ -42,7 +42,6 @@ STD::STD()
 }
 
 STD::STD( U16 baseSize, U16 totalSize, OLEStreamReader* stream, bool preservePos )
-throw(InvalidFormatException)
 {
     clearInternal();
     if (!read( baseSize, totalSize, stream, preservePos )) {
@@ -112,7 +111,6 @@ STD& STD::operator=( const STD& rhs )
 }
 
 bool STD::read( const U16 cbStd, const U16 stdfSize, OLEStreamReader* stream, bool preservePos )
-throw(InvalidFormatException)
 {
     U16 shifterU16;
     S32 startOffset=stream->tell();  // address where the STD starts
@@ -938,7 +936,7 @@ void Style::mergeUpechpx( const Style* parentStyle, WordVersion version )
 }
 
 
-StyleSheet::StyleSheet( OLEStreamReader* tableStream, U32 fcStshf, U32 lcbStshf ) throw(InvalidFormatException)
+StyleSheet::StyleSheet( OLEStreamReader* tableStream, U32 fcStshf, U32 lcbStshf )
     : m_udsNum(0)
 {
     WordVersion version = Word8;
diff --git a/filters/words/msword-odf/wv2/src/styles.h b/filters/words/msword-odf/wv2/src/styles.h
index ba02def6845..41c8278dd21 100644
--- a/filters/words/msword-odf/wv2/src/styles.h
+++ b/filters/words/msword-odf/wv2/src/styles.h
@@ -58,8 +58,9 @@ struct STD
     STD();
     /**
      * Simply calls read(...)
+     * @throw InvalidFormatException
      */
-    STD( U16 stdfSize, U16 totalSize, OLEStreamReader* stream, bool preservePos = false ) throw(InvalidFormatException);
+    STD( U16 stdfSize, U16 totalSize, OLEStreamReader* stream, bool preservePos = false );
     /**
      * Attention: This struct allocates memory on the heap
      */
@@ -74,8 +75,9 @@ struct STD
      * false the state of stream will be changed!
      *
      * @return true - success, false - failed
+     * @throw InvalidFormatException
      */
-    bool read( const U16 cbStd, const U16 stdfSize, OLEStreamReader* stream, bool preservePos = false ) throw(InvalidFormatException);
+    bool read( const U16 cbStd, const U16 stdfSize, OLEStreamReader* stream, bool preservePos = false );
 
     /**
      * Same as reading :)
@@ -365,7 +367,10 @@ class WV2_EXPORT Style
 class WV2_EXPORT StyleSheet
 {
 public:
-    StyleSheet( OLEStreamReader* tableStream, U32 fcStshf, U32 lcbStshf ) throw(InvalidFormatException);
+    /**
+     * @throw InvalidFormatException
+     */
+    StyleSheet( OLEStreamReader* tableStream, U32 fcStshf, U32 lcbStshf );
     ~StyleSheet();
 
     /**
